.TH d.rast.leg.sh
.SH NAME
\fId.rast.leg.sh \fR\- Displays a raster map and its legend on a graphics
window.
.br
.I "(GRASS Shell Script)"
.SH SYNOPSIS
\fBd.rast.leg.sh\fR
.br
\fBd.rast.leg.sh help\fR
.br
\fBd.rast.leg.sh \fRrast_map [num_of_lines]
.SH DESCRIPTION
.I d.rast.leg.sh 
is a UNIX Bourne shell macro which clears the entire screen, divides it 
into a main (left) and a minor (right) frames, and then display a raster 
map in the main frame and the map legend in the minor frame. The main
frame remains active when the program finishs. The user can run the 
program interactively or non-interactively.
.LP
\fBParameters:\fR
.IP "rast_map" 20
A raster map to be displayed.
.br
.IP "num_of_lines" 20
Number of lines to appear in the legend. If this number is not given, 
the legend frame will display as many lines as number of categories 
in the map, otherwise, it will display the first num_of_lines minus 1  
categories with the rest being truncated. 
.br
.SH NOTES
The user may adjust the num_of_lines parameter or the size of graphics 
window to get an appropriate result.
.SH FILES
See the file \fId.rast.leg.sh\fR under $GISBASE/scripts.
.SH "SEE ALSO"
.I d.legend,
.I d.rast,
.SH "AUTHOR"
Jianping Xu, Rutgers University
.br
Scott Madry, Rutgers University
